# Uitgebreide functies van amaroK

## Sneltoetsen

&amarok; maakt, net als vele andere programma's, gebruik van sneltoetsen. Hier onder ziet u een lijst met sneltoetsen en de bijhorende acties. De globale sneltoetsen kunnen worden ingesteld door met de rechter muisknop op het afspelervenster te klikken en Globale sneltoetsen instellen... te selecteren. De sneltoetsen van &amarok; kunt u instellen door met de rechter muisknop op het afspelervenster te klikken en Sneltoetsen instellen... te selecteren.

U kunt uw multimediatoetsen van uw toetsenbord gebruiken om &amarok; te bedienen.

De globale sneltoetsen zijn:

Toetsencombinatie | Actie
--- | ---
WinX | Afspelen
WinC | Pauze
WinV | Stoppen
WinB | Volgende track
WinZ | Vorige track
WinKP_Add | Volume verhogen
WinKP_Subtract | Volume verlagen
WinA | Medium toevoegen
WinP | Afspeellijst aan/uit
WinO | On Screen Display tonen

De &amarok;-sneltoetsen zijn:

Toetsencombinatie | Actie
--- | ---
CtrlC | Kopiëren
CtrlKP_Enter | Ga naar huidige
CtrlQ | Afsluiten
CtrlShiftZ | Opnieuw
CtrlS | Afspeellijst opslaan
CtrlA | Alles selecteren
CtrlH | Schudden (tracks in de afspeellijst door elkaar husselen)
CtrlZ | Ongedaan maken

De sneltoetsen voor de afspeellijstbrowser zijn:

Toetsencombinatie | Actie
--- | ---
Spatie | Afspeellijst laden
F2 | Afspeellijst hernoemen
Backspace | Afspeellijst verwijderen

## De DCOP-interface

De DCOP-interface van amaroK biedt u een eenvoudige manier om amaroK met behulp van scripts te besturen.

De DCOP-interface van amaroK heeft vele algemene functies die ook in andere KDE-programma's gevonden kunnen worden. Deze sectie is bedoeld om de DCOP-functies van de speler en de afspeellijst te beschrijven. Een voorbeeld van de DCOP-functie pauzeren ziet er als volgt uit:

&percnt;dcop amarok player pause

### dcop amarok player

DCOP-functie | Actie
--- | ---
album | De functie album geeft het album van de huidige afgespeelde track terug.
artist | De functie artist geeft de artiest van de huidige afgespeelde track terug.
bitrate | De functie bitrate geeft de bitrate van de huidige afgespeelde track terug.
comment | De functie comment geeft het commentaar van de huidige afgespeelde track terug.
coverImage | De functie coverimage geeft het URL-adres van de hoesafbeelding van de huidige track terug.
currentTime | De functie currentTime geeft de positie (mm:ss) van de huidige afgespeelde track terug.
encodedURL | De functie encodedURL geeft het URL-adres van de huidige afgespeelde track terug, met de spaties gecodeerd.
genre | De functie genre geeft het genre van de huidige afgespeelde track terug.
nowPlaying | De functie nowPlaying geeft "Artiest - Titel" van de huidige afgespeelde track terug. Als een van de id3-tags leeg is, dan wordt alleen "Artiest" of "Titel" teruggegeven (zonder de "-").
title | De functie title geeft de titel van de huidige afgespeelde track terug.
totalTime | De functie totalTime geeft de totale tijd (mm:ss) van de huidige afgespeelde track terug.
track | De functie track geeft het nummer van de huidige afgespeelde track terug.
year | De functie year geeft het jaar van de huidige afgespeelde track terug.
isPlaying | De functie isPlaying geeft de boleaanse waarde true (waar) of false (onwaar) terug als de speler wel of niet aan het afspelen is.
randomModeStatus | De functie randomModeStatus geeft de status van de willekeurig-modus terug als true (waar) of false (onwaar).
repeatPlaylistStatus | De functie repeatPlaylistStatus geeft de status van de afspeelijstherhaling terug als true (waar) of false (onwaar).
repeatTrackStatus | De functie repeatTrackStatus geeft de status van de trackherhaling terug als true (waar) of false (onwaar).
getVolume | De functie getVolume geeft een waarde tussen de 0 en 100 voor het volumeniveau terug.
sampleRate | De functie sampleRate geeft de sample rate van de huidige afgespeelde track terug.
score | De functie score geeft de score van de huidige track terug.
status | De functie status geeft een waarde terug voor de engine-status: 2 voor afspelend, 1 voor gepauzeerd en 0 voor inactief.
trackCurrentTime | De functie trackCurrentTime geeft een waarde in seconden voor de resterende tijd van de huidige afgespeelde track terug.
trackPlayCounter | De functie trackPlayCounter geeft het aantal keer dat de huidige track is afgespeeld terug.
trackTotalTime | De functie trackTotalTime geeft een waarde in seconden terug voor de totale tijd van de track.
configEqualizer | De functie configEqualizer opent het configuratievenster van de equalizer.
enableOSD | Met de functie enableOSD kunt u de On Screen Display aan- of uitzetten door de waarde true (waar) of false (onwaar) mee te geven.
enableRandomMode | De functie enableRandomMode wordt gebruikt om de willekeurige modus aan of uit te zetten. De waarde 0 schakelt hem uit, de waarde 1 schakelt hem in.
mute | Met de functie mute kunt u het geluid dempen of activeren.
next | De functie next laat de speler naar de volgende track gaan.
pause | De functie pause laat de huidige afgespeelde track pauzeren.
play | De functie play start de speler vanaf de positie waar hij de laatste keer is gestopt.
playPause | De functie playPause start de speler als hij is gestopt, of gepauzeerd. De functie laat de speler pauzeren als er momenteel een track wordt afgespeeld.
prev | De functie prev laat de speler een track terug gaan.
scanCollection | De functie scanCollection voert een handmatige scan uit op uw collectie.
seek | De functie seek wordt gebruikt om een specifiek punt in een track op te zoeken. Dit punt kunt u specificeren met een waarde in seconden.
seekRelative | De functie seekRelative wordt gebruikt om te zoeken naar een positie relatief aan de huidige trackpositie, aan de hand van een in seconden opgegeven waarde.
setContextStyle |

setEqualizer

De functie setEqualizer gebruikt elf door spaties gescheiden hele getallen om de waarden van de equalizer-schuifregelaars in te stellen. De waarden van de schuifregelaars liggen tussen -255 als laagste waarden en 255 als hoogste. Het eerste getal wordt gebruikt om de voorversterkwaarde in te stellen, de overige getallen stellen de voorversterk-frequentiewaarden van 60Hz tot 16kHz in.

setEqualizerEnabled | Met de functie setEqualizerEnabled kunt u via een true- of false-waarde de equalizer resp. aan- of uitzetten.
setVolume | De functie setVolume past het volume aan aan de opgegeven waarde tussen de 0 en 100.
showOSD | De functie coverimage opent de On-Screen-Display om de huidige trackinformatie te tonen.
stop | De functie stop stopt de speler als deze momenteel een track afspeelt.
volumeDown | De functie volumeDown zet het volumeniveau een stap lager.
volumeUp | De functie volumeUp zet het volumeniveau een stap hoger.

### dcop amarok playlist

DCOP-functie | Actie
--- | ---
getActiveIndex | De functie getActiveIndex geeft een heel getal terug voor de positie van de huidige track in de afspeellijst.
addMedia | De functie addMedia wordt gebruikt om losse bestanden toe te voegen aan de afspeellijst.
addMediaList | De functie addMediaList wordt gebruikt om meerdere bestanden toe te voegen aan de afspeellijst.
clearPlaylist | De functie clearPlaylist wordt gebruikt om de volledige afspeellijst te wissen.
playByIndex | De functie playByIndex begint het afspelen van een track aan de hand van diens positie in de afspeellijst.
playMedia | De functie playMedia start het afspelen van een track, gespecificeerd door diens URL-adres.
saveCurrentPlaylist | De functie saveCurrentPlaylist slaat de huidige afspeellijst op als ~/.kde/share/apps/amarok/current.xml.
setStopAfterCurrent | De functie setStopAfterCurrent stopt het afspelen van de afspeellijst nadat de huidige track is afgelopen.
shortStatusMessage | De functie shortStatusMessage toont een tekstbericht in de statusbalk.
shufflePlaylist | De functie shufflePlaylist schudt de tracks in de afspeellijst door elkaar.
togglePlaylist | De functie togglePlaylist opent het afpeellijstvenster, of sluit deze.

## Commandoprompt-opties

Naast de standaard-commando's van Qt en KDE heeft amaroK ook zijn eigen opties.

Opties van Qt en KDE:

Optie | Actie
--- | ---
--help | Toont een samenvatting van opties die vanaf de prompt kunnen worden meegegeven aan het commando.
--help-qt | Toont een lijst met Qt-specifieke opties.
--help-kde | Toont een lijst met KDE-specifieke opties.
--help-all | Toont een lijst met alle opties.
--author | Toont informatie over de auteur.
-v, --version | Toont versie-informatie.
--license | Toont informatie over de licentie.

De opties van amaroK:

De &amarok;-opties kunnen ook worden gebruikt als &amarok; al draait.

Optie | Actie
--- | ---
-r, --previous | Gaat naar de vorige track in de afspeellijst.
-p, --play | Start het afspelen van de huidige afspeellijst.
-s, --stop | Stopt het afspelen.
--pause | Pauzeert het afspelen.
-f, --next | Gaat naar de volgende track in de afspeellijst.
-a, --append | Voegt bestanden/URL-adressen toe aan de afspeellijst.
-e, --enqueue | Zie append, beschikbaar voor neerwaartse compatibiliteit.
--queue | Plaatst bestanden/URL-adressen in de wachtrij achter de huidige afgespeelde track.
-m, --toggle-playlist-window | Opent/sluit het afspeellijstvenster.
--wizard | Start de Configuratie-assistent.
--engine "naam" | Start &amarok; met de engine "naam".